QORE(1)

#.

NAME
qore - Interpreter for the Qore Programming Language

SYNOPSIS
qore [options(s)]... [program file]

COPYRIGHT
Qore is Copyright (C) 2003 - 2023 David Nichols.

DESCRIPTION
Qore is a modular, multi-threaded, SQL-integrated weakly-typed scripting language with procedural and object-oriented features, powerful and easy-to-use data types, structures, and operators, a clean and easy-to-lean/read syntax.

OPTIONS
When qore is invoked it interprets the following options:

-d, --debug=arg
    sets debugging level (higher number = more output). Only available with debug builds.
-t, --trace
    turns on function tracing. Only available with debug builds.
-h, --help
    shows the help text.
-c, --charset=arg
    sets default character set encoding.
-e, --exec=arg
    allows a qore program to be specified on the command-line.
-x, --exec-class[=arg]
    instantiate a class with the same name as the file name, override class name with the optional argument. Also sets --no-top-level for more pure object-oriented coding.
-m, --show-module-errors
    shows any errors related to qore module loading and/or initilization.
--show-charsets
    displays the list of known character sets.
--show-aliases
    displays the list of character sets aliases.
-V, --version
    shows version information for the invoked instance of qore on the standard output and exits successfully.

PARSE OPTIONS
Parse options interpreted by qore:

-G, --no-global-vars
    makes global variable definitions illegal
-S, --no-subroutine-def
    makes subroutine definitions illegal
-T, --no-threads
    makes thread operations illegal
-L, --no-top-level
    makes top-level statements illegal
-C, --no-class-defs
    makes class definitions illegal
-D, --no-namespace-defs
    makes namespace declarations illegal
-E, --no-external-process
    makes access to external processes illegal
-P, --no-process-control
    makes process control illegal (fork(), exit(), etc)
-F, --no-constant-defs
    makes constant definitions illegal
-N, --no-new
    makes using the "new" operator illegal
-I, --no-child-restrictions
    do not restrict subprograms' parse options
-O, --require-our
    requires global variables to be declared with "our"

FILES
The qore executable

AUTHORS
David Nichols (qore)
david@qore.org

Marian Bonda (man page)
marian_bonda@users.sourceforge.net

BUG REPORTS
If you find a bug in qore, you should report it. But first, you should make sure that it really is a bug, and that it appears in the latest version of qore. The latest version is always available at http://qore.org/.

ALL bug reports should include:

The version number of qore
The hardware and operating system
The compiler used to compile
A description of the bug behaviour
A short script or `recipe' which exercises the bug

Comments and bug reports concerning this manual page should be directed to marian_bonda@users.sourceforge.net.